#!/bin/bash
if [ -z $2 ]; then
 echo "Usage: util/dms-findpmm.sh WCS.fit REGION_NAME"
 exit
fi
REGION_NAME=$2

echo -n "Running SExtractor..."
sex -c default.sex.PHOTO -PARAMETERS_NAME wcs.param $1 && echo " done"

echo -n "Searching for stars in USNO-A2.0..."
while read dms_M dms_Ms dms_X dms_Y dms_NAME ;do
# A=`echo "$dms_M>-15.5"|bc -ql`
 A=1
 if [ $A -eq 1 ];then
  #A=`echo "$dms_M<-13.5"|bc -ql`
  if [ $A -eq 1 ];then
   read JD MAG MERR X Y APP FITSFILE < $dms_NAME
   rm -f tmp.cat
   while read A B C ;do
    echo out"$A" $B $C >> tmp.cat
   done < test.cat
   grep "$X" tmp.cat |grep "$Y"  > tmp.tmp
   read AAA RA DEC REST < tmp.tmp
   findpmm -c `lib/deg2hms $RA $DEC` -rs 5 -s R |grep -v "#" |grep -v "client" |grep -v "*" > tmp.tmp
   Bmag=""
   read USNOA2NAME COORD Bmag Rmag REST < tmp.tmp
   if [ "$Rmag" != "" ];then
    A=`echo "$Rmag>10.0"|bc -ql`
    if [ $A -eq 1 ];then 
     A=`echo "$Rmag<17.5"|bc -ql`
     if [ $A -eq 1 ];then
      echo "$dms_M $Rmag $dms_Ms"
     fi
    fi
   fi
   rm -f tmp.tmp
  fi
 fi
done < data.m_sigma > "$REGION_NAME".calibr
echo " done"

#echo -n "Fitting parabola..."
#util/calibrate_magnitude_scale `lib/fit_parabola_wpolyfit < "$REGION_NAME".calibr` && echo " done"

#echo -n "Recomputing data.m_sigma ..."
#lib/find_candidates_MAG_SIGMA_MAG.sh && echo " done"

#echo "Saving data to "$REGION_NAME"-calibr"
#util/save.sh "$REGION_NAME"-calibr

echo "All done =)"


