#!/bin/bash
if [ -z $2 ]; then
 echo "Usage: $0 WCS.fit outNUMBER.dat"
 exit
fi
echo -ne "reading light curve $2 - "
read JD MAG MERR X Y APP FITSFILE < $2 && echo "ok"
echo -ne "starting SExtractor - "
sex -c default.sex.PHOTO -PARAMETERS_NAME wcs.param $1 && echo "ok"
rm -f tmp.cat tmp.str
while read A B C ;do
 echo out"$A" $B $C >> tmp.cat
done < test.cat
STARNUM=`basename $2 .dat`
echo "#################################"
#grep $STARNUM tmp.cat
#echo "---------------------------------"
grep "$X" tmp.cat |grep "$Y" > tmp.str
read STARNUM RA DEC X Y < tmp.str
echo $STARNUM `lib/deg2hms $RA $DEC` $X $Y
findgsc 2.2 $RA $DEC -rs 14 |grep -v "#" |grep -v GSC-id |grep -v server > tmp.str
read GSCNAME RA1 RA2 RA3 DE1 DE2 DE3 REST < tmp.str
if [ "$GSCNAME" != "" ];then
 echo -ne "\E[31;47mGSC2.2 $GSCNAME \E[33;00m"
fi
findpmm2 -c $RA $DEC -rs 12 -s B |grep -v "#" |grep -v "client" |grep -v "*" > tmp.str
read USNOA2NAME COORD Bmag REST < tmp.str
if [ "$USNOA2NAME" != "" ];then
 if [ "$GSCNAME" != "" ];then
  echo -ne "\E[31;47m= \E[33;00m"
 fi

 TEST_MAG=`echo "$Bmag<17.0" |bc -ql`
 if [ $TEST_MAG -eq 1 ]; then
  TEST_MAG=`echo "$Bmag>16.0" |bc -ql`
  if [ $TEST_MAG -eq 1 ]; then
   echo -e "\E[31;47m!  ,   !\E[33;00m"
  fi
  echo -e "\E[31;47mUSNO-A2.0 $USNOA2NAME  $COORD  Bmag=$Bmag \E[33;00m"
 fi
fi
if [ "$GSCNAME" != "" ];then
 if [ "$USNOA2NAME" == "" ];then
  echo -e "\E[31;47m$RA1 $RA2 $RA3 $DE1 $DE2 $DE3\E[33;00m"
 fi
fi

echo " "
util/serch_databases_with_curl.sh `lib/deg2hms $RA $DEC`

echo "#################################"
rm -f tmp.cat tmp.str
./pgfv $1 $X $Y


